org.wildfly.swarm.microprofile.openapi.api.models.media

## Class XMLImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.media.XMLImpl

- All Implemented Interfaces:
    ModelImpl

      public class XMLImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `XML` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XML` | `attribute(Boolean attribute)`
    `Boolean` | `getAttribute()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `String` | `getPrefix()`
    `Boolean` | `getWrapped()`
    `XML` | `name(String name)`
    `XML` | `namespace(String namespace)`
    `XML` | `prefix(String prefix)`
    `void` | `setAttribute(Boolean attribute)`
    `void` | `setName(String name)`
    `void` | `setNamespace(String namespace)`
    `void` | `setPrefix(String prefix)`
    `void` | `setWrapped(Boolean wrapped)`
    `XML` | `wrapped(Boolean wrapped)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLImpl

          public XMLImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#setName(java.lang.String)`

    - #### name

          public XML name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#name(java.lang.String)`

    - #### getNamespace

          public String getNamespace()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#getNamespace()`

    - #### setNamespace

          public void setNamespace(String namespace)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#setNamespace(java.lang.String)`

    - #### namespace

          public XML namespace(String namespace)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#namespace(java.lang.String)`

    - #### getPrefix

          public String getPrefix()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#getPrefix()`

    - #### setPrefix

          public void setPrefix(String prefix)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#setPrefix(java.lang.String)`

    - #### prefix

          public XML prefix(String prefix)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#prefix(java.lang.String)`

    - #### getAttribute

          public Boolean getAttribute()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#getAttribute()`

    - #### setAttribute

          public void setAttribute(Boolean attribute)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#setAttribute(java.lang.Boolean)`

    - #### attribute

          public XML attribute(Boolean attribute)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#attribute(java.lang.Boolean)`

    - #### getWrapped

          public Boolean getWrapped()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#getWrapped()`

    - #### setWrapped

          public void setWrapped(Boolean wrapped)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#setWrapped(java.lang.Boolean)`

    - #### wrapped

          public XML wrapped(Boolean wrapped)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.XML#wrapped(java.lang.Boolean)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.